
Redmine - Feature #1363

Allow underscores in project identifiers

2008-06-03 18:15 - Christoph Koehler

Status: Closed Start date: 2008-06-03

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version: 1.4.0   

Resolution: Fixed   

Description

Please allow underscores and potentially other characters in project identifiers. Just change the validation rule in the project model.

Thanks!

Related issues:

Related to Redmine - Defect #6253: Allowing dot in project identifier Closed 2010-08-31

Has duplicate Redmine - Feature #7493: Allowing underline "_" in project iden... Closed 2011-01-30

Associated revisions

Revision 8708 - 2012-01-27 18:34 - Jean-Philippe Lang

Allow underscores in project identifiers (#1363).

Revision 8710 - 2012-01-27 22:38 - Toshi MARUYAMA

replace i18n "text_project_identifier_info" (#1363)

Revision 8711 - 2012-01-27 23:48 - Toshi MARUYAMA

Dutch "text_project_identifier_info" translated by Pieter Nicolai (#1363)

Revision 8712 - 2012-01-27 23:48 - Toshi MARUYAMA

German "text_project_identifier_info" translated by Felix Schäfer (#1363)

Revision 9277 - 2012-03-27 16:01 - Toshi MARUYAMA

reposman: allow underscores in project identifiers (#1363)

History

#1 - 2008-06-13 19:19 - Christoph Koehler

- Assignee set to Jean-Philippe Lang

#2 - 2009-07-23 19:29 - Nick Fitzgerald

We would like the ability to have underscores in the project identifiers as well. This would allow them to be consistent with our directory names and

SVN repositories.

This should just be a matter of changing this line:

http://www.redmine.org/projects/redmine/repository/entry/trunk/app/models/project.rb#L65

#3 - 2011-03-16 16:11 - Etienne Massip

- Category set to Projects

- Assignee deleted (Jean-Philippe Lang)

#4 - 2011-11-16 12:18 - Holger Winkelmann

any updates on this? it would really help this minimal change can go upstream. We have patche our local instance and chilliproject has closed the

ticket https://www.chiliproject.org/issues/146 with the same patch. Given a lot of repositories in the GIT universe using the underscore in names it

really would help to automate repo gen.

#5 - 2012-01-27 13:02 - Henrik Zawischa
http://www.redmine.org/projects/redmine/repository/entry/trunk/app/models/project.rb#L65
https://www.chiliproject.org/issues/146


We would really appreciate underscores as possible characters. The identifier is turned into a repository name and it would be lovely if we could have

those identical to the directory-names of the Typo3 extensions we are going to manage with redmine and git.

I believe it is pretty easy, see above. Can one of the seasoned developers just fix this? Or can anybody explain why it shouldn't. If I knew anything

about Ruby I'd do it myself. I can change the file, do I have to do anything else to make the change known to the system?

#6 - 2012-01-27 18:35 - Jean-Philippe Lang

- Subject changed from allow underscores in project identifiers to Allow underscores in project identifiers

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 1.4.0

- Resolution set to Fixed

Change done in r8708.
